Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class PathwaySimulationDiagramViewOptions

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.DiagramViewOptions
              biouml.standard.diagram.PathwayDiagramViewOptions
                  biouml.standard.diagram.PathwaySimulationDiagramViewOptions

public class PathwaySimulationDiagramViewOptions
extends PathwayDiagramViewOptions

Nested Class Summary

Nested classes inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`PathwayDiagramViewOptions.RelationTypeColor, PathwayDiagramViewOptions.RelationTypeStroke`

Field Summary
`protected int` | `borderOffset`
`protected Pen` | `equationPen`
`protected Pen` | `eventPen`
`protected ColorFont` | `eventTitleFont`
`protected ColorFont` | `formulaFont`
`protected java.awt.Point` | `formulaOffset`
`protected boolean` | `mathAsText`
`boolean` | `ShowReactionRate`
`boolean` | `ShowVariableValue`
`protected ColorFont` | `stateOnFont`
`protected ColorFont` | `stateTitleFont`

Fields inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`ActiveProteinBrush, automaticallyLocateReactions, BRUSH, CatalystActionPen, CellCytoplasmBrush, CellNucleusBrush, conceptTitleFont, DecreaseActionBrush, DEFAULT, functionTitleFont, GeneBrush, InactiveProteinBrush, IncreaseActionBrush, InhibitorActionPen, ModefiedProteinBrush, PEN, processPen, processTitleFont, ProteinBrush, ReactionBrush, ReactionPen, relationTitleFont, relationTypeColors, relationTypeStrokes, semanticRelationOptions, showReactionName, statePen, SubstanceBrush, SwitchOffActionBrush, SwitchOffActionPen, SwitchOnActionBrush, SwitchOnActionPen, titleMargin`

Fields inherited from class biouml.model.DiagramViewOptions
`compartmentTitleAlignment, compartmentTitleFont, defaultFont, defaultPen, designMode, diagramTitleAlignment, diagramTitleFont, diagramTitleVisible, nodePen, nodeTitleFont, nodeTitleMargin, noteBrush, noteLinkPen, noteMargin`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`PathwaySimulationDiagramViewOptions(com.beanexplorer.beans.Option parent)` Creates `PathwaySimulationDiagramViewOptions` and initializes it.

Methods inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`getRelationTypeColors, getRelationTypeStrokes, getSemanticRelationBrush, getSemanticRelationPen, getTitleMargin, initSemanticRelationOptions, setRelationTypeColors, setRelationTypeStrokes, setTitleMargin`

Methods inherited from class biouml.model.DiagramViewOptions
`getCompartmentTitleAlignment, getCompartmentTitleFont, getDefaultFont, getDefaultPen, getDiagramTitleAlignment, getDiagramTitleFont, getNodePen, getNodeTitleFont, getNodeTitleMargin, getNoteBrush, getNoteLinkPen, getNoteMargin, isDesignMode, isDiagramTitleVisible, setCompartmentTitleAlignment, setCompartmentTitleFont, setDefaultFont, setDefaultPen, setDesignMode, setDiagramTitleAlignment, setDiagramTitleFont, setDiagramTitleVisible, setNodePen, setNodeTitleFont, setNodeTitleMargin, setNoteBrush, setNoteLinkPen, setNoteMargin`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ShowVariableValue

    public boolean ShowVariableValue

### ShowReactionRate

    public boolean ShowReactionRate

### eventTitleFont

    protected ColorFont eventTitleFont

### eventPen

    protected Pen eventPen

### equationPen

    protected Pen equationPen

### stateTitleFont

    protected ColorFont stateTitleFont

### stateOnFont

    protected ColorFont stateOnFont

### mathAsText

    protected boolean mathAsText

### formulaFont

    protected ColorFont formulaFont

### formulaOffset

    protected java.awt.Point formulaOffset

### borderOffset

    protected int borderOffset

Constructor Detail

### PathwaySimulationDiagramViewOptions

    public PathwaySimulationDiagramViewOptions(com.beanexplorer.beans.Option parent)

  Creates `PathwaySimulationDiagramViewOptions` and initializes it.

Parameters:
  `parent` - parent property

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.